Bug 861822 - [abrt] python-2.7.3-7.2.fc17: setup_context: Process /usr/bin/python2.7 was killed by signal 11 (SIGSEGV)
[abrt] python-2.7.3-7.2.fc17: setup_context: Process /usr/bin/python2.7 was k...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gtk2 (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
abrt_hash:042d9b1274d67885ee431d27aaa...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-30 19:30 EDT by Ken Esparta
Modified: 2013-08-01 00:23 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 00:23:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (5.50 KB, text/plain)
2012-09-30 19:31 EDT, Ken Esparta
no flags Details
File: environ (2.77 KB, text/plain)
2012-09-30 19:31 EDT, Ken Esparta
no flags Details
File: backtrace (62.15 KB, text/plain)
2012-09-30 19:31 EDT, Ken Esparta
no flags Details
File: limits (1.29 KB, text/plain)
2012-09-30 19:31 EDT, Ken Esparta
no flags Details
File: cgroup (126 bytes, text/plain)
2012-09-30 19:31 EDT, Ken Esparta
no flags Details
File: maps (90.22 KB, text/plain)
2012-09-30 19:31 EDT, Ken Esparta
no flags Details
File: dso_list (18.95 KB, text/plain)
2012-09-30 19:31 EDT, Ken Esparta
no flags Details
File: var_log_messages (307 bytes, text/plain)
2012-09-30 19:31 EDT, Ken Esparta
no flags Details
File: open_fds (893 bytes, text/plain)
2012-09-30 19:31 EDT, Ken Esparta
no flags Details
Backtrace from crash (101.58 KB, text/plain)
2012-12-17 15:34 EST, D. Charles Pyle
no flags Details

  None (edit)
Description Ken Esparta 2012-09-30 19:30:57 EDT
Version-Release number of selected component:
python-2.7.3-7.2.fc17

Additional info:
libreport version: 2.0.14
abrt_version:   2.0.13
backtrace_rating: 4
cmdline:        python /usr/bin/hp-systray
crash_function: setup_context
kernel:         3.5.4-1.fc17.x86_64

truncated backtrace:
:Thread no. 1 (10 frames)
: #0 setup_context at /usr/src/debug/Python-2.7.3/Python/_warnings.c:449
: #1 do_warn at /usr/src/debug/Python-2.7.3/Python/_warnings.c:594
: #2 PyErr_WarnEx at /usr/src/debug/Python-2.7.3/Python/_warnings.c:720
: #3 _log_func at gobjectmodule.c:2353
: #6 gtk_theme_engine_load at gtkthemes.c:84
: #7 g_type_module_use at gtypemodule.c:256
: #8 gtk_theme_engine_get at gtkthemes.c:181
: #9 gtk_rc_parse_engine at gtkrc.c:3681
: #10 gtk_rc_parse_style at gtkrc.c:3163
: #11 gtk_rc_parse_statement at gtkrc.c:2922
Comment 1 Ken Esparta 2012-09-30 19:31:01 EDT
Created attachment 619558 [details]
File: core_backtrace
Comment 2 Ken Esparta 2012-09-30 19:31:03 EDT
Created attachment 619559 [details]
File: environ
Comment 3 Ken Esparta 2012-09-30 19:31:11 EDT
Created attachment 619560 [details]
File: backtrace
Comment 4 Ken Esparta 2012-09-30 19:31:13 EDT
Created attachment 619561 [details]
File: limits
Comment 5 Ken Esparta 2012-09-30 19:31:16 EDT
Created attachment 619562 [details]
File: cgroup
Comment 6 Ken Esparta 2012-09-30 19:31:25 EDT
Created attachment 619563 [details]
File: maps
Comment 7 Ken Esparta 2012-09-30 19:31:29 EDT
Created attachment 619564 [details]
File: dso_list
Comment 8 Ken Esparta 2012-09-30 19:31:31 EDT
Created attachment 619565 [details]
File: var_log_messages
Comment 9 Ken Esparta 2012-09-30 19:31:33 EDT
Created attachment 619566 [details]
File: open_fds
Comment 10 D. Charles Pyle 2012-10-01 06:06:01 EDT
I do not know what happened. I just saw this popup after logging into GNOME 3.6.0 shell.

backtrace_rating: 4
Package: python-2.7.3-13.fc18
OS Release: Fedora release 18 (Spherical Cow)
Comment 11 Dave Malcolm 2012-12-17 11:45:08 EST
Thank you for reporting this bug.

How reproducible is this problem?  If you run "hp-systray" from a terminal, is an error message printed?

What is the output of running the following command?
  rpm -q hplip-gui gtk2

Looking at the backtrace, it looks like the problem occurred in the program's single thread whilst attempting to log a warning from GTK relating to the "murrine" theme engine.

Reassigning component from "python" to "gtk2";  hopefully the gtk2 maintainer will be able to figure this out further or reassign as necessary.
Comment 12 D. Charles Pyle 2012-12-17 14:55:14 EST
I am not the one who submitted the backtrace (abrt wouldn't let me do it because the error had already been reported). However, I see the following with hp-systray running in the terminal:

$ hp-systray

HP Linux Imaging and Printing System (ver. 3.12.11)
System Tray Status Service ver. 2.0

Copyright (c) 2001-14 Hewlett-Packard Development Company, LP
This software comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to distribute it
under certain conditions. See COPYING file for more details.

/usr/lib64/python2.7/site-packages/gtk-2.0/gtk/__init__.py:122: RuntimeWarning: PyOS_InputHook is not available for interactive use of PyGTK
  set_interactive(1)

It hangs there but the program runs in the tray until I try to select a menu item. Then it crashes entirely. I have an error now showing in abrt-gui. I now am at GNOME shell 3.6.2. Python version is as follows:

$ rpm -qa python
python-2.7.3-13.fc18.x86_64

Hplip-gui and gtk2 are at the following versions for me:

$ rpm -q hplip-gui gtk2
hplip-gui-3.12.11-1.fc18.x86_64
gtk2-2.24.13-1.fc18.i686
gtk2-2.24.13-1.fc18.x86_64
Comment 13 D. Charles Pyle 2012-12-17 15:00:57 EST
Ran the program in the terminal again. This time I got the following:

$ hp-systray

HP Linux Imaging and Printing System (ver. 3.12.11)
System Tray Status Service ver. 2.0

Copyright (c) 2001-14 Hewlett-Packard Development Company, LP
This software comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to distribute it
under certain conditions. See COPYING file for more details.

/usr/lib64/python2.7/site-packages/gtk-2.0/gtk/__init__.py:122: RuntimeWarning: PyOS_InputHook is not available for interactive use of PyGTK
  set_interactive(1)
Bus::open: Can not get ibus-daemon's address. 
IBusInputContext::createInputContext: no connection to ibus-daemon 
Segmentation fault (core dumped)
Comment 14 D. Charles Pyle 2012-12-17 15:34:42 EST
Created attachment 665098 [details]
Backtrace from crash

Could also be related to:

https://bugzilla.redhat.com/show_bug.cgi?id=888009
Comment 15 Fedora End Of Life 2013-07-03 20:33:18 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 16 Fedora End Of Life 2013-08-01 00:23:20 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.